Help Center

Follow

iOS System Requirements

The latest version of the Zinio app is compatible with any iPhone and iPad with iOS 9 and up.

For more details, please access the App Store.

Have more questions? Submit a request
Powered by Zendesk